*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:sans-serif;
}

html{
    scroll-behavior:smooth;
}

body{
    background:#0f0f0f;
    color:white;
}

/* Navbar */

nav{
    position:sticky;
    top:0;
    background:#151515;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:20px 8%;
    z-index:1000;
}

.logo{
    font-size:28px;
    font-weight:bold;
}

.logo span{
    color:#ff2b2b;
}

nav a{
    color:white;
    text-decoration:none;
}

/* Hero */

.hero{
    text-align:center;
    padding:120px 20px;
}

.hero h1{
    font-size:55px;
    margin-bottom:15px;
}

.hero p{
    color:#aaa;
    margin-bottom:35px;
}

.btn{
    background:#ff2b2b;
    color:white;
    text-decoration:none;
    padding:15px 30px;
    border-radius:15px;
}

/* Section */

.section{
    padding:70px 8%;
}

.section h2{
    text-align:center;
    margin-bottom:30px;
}

/* Kategori */

.kategori{
    display:flex;
    justify-content:center;
    flex-wrap:wrap;
    gap:15px;
    margin-bottom:30px;
}

.kategori button{
    border:none;
    background:#1b1b1b;
    color:white;
    padding:12px 20px;
    border-radius:15px;
    cursor:pointer;
    transition:.3s;
}

.kategori button:hover,
.kategori .active{
    background:#ff2b2b;
}

/* Search */

.search-box{
    display:flex;
    justify-content:center;
    margin-bottom:35px;
}

.search-box input{
    width:400px;
    max-width:90%;
    padding:15px;
    border:none;
    border-radius:15px;
    background:#1b1b1b;
    color:white;
}

/* Card */

.container{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(300px,1fr));
    gap:25px;
}

.card{
    background:#171717;
    border-radius:20px;
    overflow:hidden;
    transition:.3s;
}

.card:hover{
    transform:translateY(-8px);
}

.card img{
    width:100%;
    height:220px;
    object-fit:cover;
}

.card-content{
    padding:20px;
}

.card-content span{
    color:#ff2b2b;
}

.card-content h3{
    margin:12px 0;
}

.card-content p{
    color:#aaa;
    line-height:1.5;
}

.card-content button{
    margin-top:20px;
    border:none;
    background:#ff2b2b;
    color:white;
    padding:12px 20px;
    border-radius:12px;
    cursor:pointer;
}

/* Modal */

.modal{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background:rgba(0,0,0,.8);
    display:none;
    justify-content:center;
    align-items:center;
    padding:20px;
    z-index:9999;
}

.modal-box{
    background:#171717;
    max-width:600px;
    width:100%;
    border-radius:20px;
    overflow:hidden;
    position:relative;
}

.modal-box img{
    width:100%;
}

.modal-box h2{
    padding:20px 20px 10px;
}

.modal-box h4{
    color:#ff2b2b;
    padding:0 20px;
}

.modal-box{
    z-index:10000;
}

.modal-box p{
    color:#aaa;
    padding:20px;
    line-height:1.6;
}

.close{
    position:absolute;
    top:15px;
    right:20px;
    font-size:35px;
    cursor:pointer;
}

.modal-btn{
    display:flex;
    gap:15px;
    padding:0 20px 20px;
}

.download,
.wa{
    text-decoration:none;
    color:white;
    padding:14px 20px;
    border-radius:15px;
}

.download{
    background:#ff2b2b;
}

.wa{
    background:#25D366;
}

/* Footer */

footer{
    text-align:center;
    padding:40px;
    color:#888;
}

.top-bar{
    display:flex;
    align-items:center;
    gap:15px;
    padding:20px 8% 0;
}

.back-btn{
    width:45px;
    height:45px;
    border-radius:15px;
    background:#ff2b2b;
    color:white;
    text-decoration:none;
    display:flex;
    justify-content:center;
    align-items:center;
    font-size:24px;
    font-weight:bold;
    z-index:9999;
}

.top-bar h3{
    font-size:22px;
}